n, m, k = map(int, input().split())

# количество фонарей в строке
lamps_in_row = (n + k - 1) // k

# количество фонарей в столбце
lamps_in_column = (m + k - 1) // k

# общее количество фонарей
total_lamps = lamps_in_row * lamps_in_column

print(total_lamps)
